SwiftBinary (Gradle API 4.7)
Date: 2018-04-18

org.gradle.language.swift

## Interface SwiftBinary

- All Superinterfaces:
    ComponentWithDependencies, ComponentWithNativeRuntime, ComponentWithObjectFiles, Named, SoftwareComponent
  All Known Subinterfaces:
    SwiftExecutable, SwiftSharedLibrary, SwiftStaticLibrary, SwiftXCTestBinary, SwiftXCTestBundle, SwiftXCTestExecutable

      @Incubating
      public interface SwiftBinary
      extends ComponentWithObjectFiles, ComponentWithDependencies

  A binary built from Swift source and linked from the resulting object files.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileCollection` | `getCompileModules()` Returns the modules to use to compile this binary.
    `Provider<SwiftCompile>` | `getCompileTask()` Returns the compile task for this binary.
    `FileCollection` | `getLinkLibraries()` Returns the link libraries to use to link this binary.
    `Provider<String>` | `getModule()` Returns the name of the Swift module that this binary defines.
    `Provider<RegularFile>` | `getModuleFile()` Returns the module file for this binary.
    `FileCollection` | `getRuntimeLibraries()` Returns the runtime libraries required by this binary.
    `Provider<SwiftVersion>` | `getSourceCompatibility()` Returns the Swift language level to use to compile the source files.
    `FileCollection` | `getSwiftSource()` Returns the Swift source files of this binary.
    `SwiftPlatform` | `getTargetPlatform()` Returns the target platform for this component.
    `boolean` | `isTestable()` Returns true if this binary has testing enabled.

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

      `getObjects`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

      `getDependencies`

- - ### Method Detail

    - #### getModule

          Provider<String> getModule()

      Returns the name of the Swift module that this binary defines.

    - #### isTestable

          boolean isTestable()

      Returns true if this binary has testing enabled.
      Since:
        4.4

    - #### getSwiftSource

          FileCollection getSwiftSource()

      Returns the Swift source files of this binary.

    - #### getCompileModules

          FileCollection getCompileModules()

      Returns the modules to use to compile this binary. Includes the module file of this binary's dependencies.
      Since:
        4.4

    - #### getLinkLibraries

          FileCollection getLinkLibraries()

      Returns the link libraries to use to link this binary. Includes the link libraries of the component's dependencies.

    - #### getRuntimeLibraries

          FileCollection getRuntimeLibraries()

      Returns the runtime libraries required by this binary. Includes the runtime libraries of the component's dependencies.

    - #### getCompileTask

          Provider<SwiftCompile> getCompileTask()

      Returns the compile task for this binary.
      Since:
        4.5

    - #### getModuleFile

          Provider<RegularFile> getModuleFile()

      Returns the module file for this binary.
      Since:
        4.6

    - #### getTargetPlatform

          SwiftPlatform getTargetPlatform()

      Returns the target platform for this component.
      Specified by:
        `getTargetPlatform` in interface `ComponentWithNativeRuntime`
      Since:
        4.5

    - #### getSourceCompatibility

          Provider<SwiftVersion> getSourceCompatibility()

      Returns the Swift language level to use to compile the source files.
      Since:
        4.6